Re: Can't configure Openssh

From: Susan Cordova (scordova2@earthlink.net)
Date: 11/20/02


From: Susan Cordova <scordova2@earthlink.net>
Date: Tue, 19 Nov 2002 17:15:46 -0800


./configure --with-ssl-dir=/usr/local/src/openssl-engine-0.9.6g

I think you need to tell openssh where to find openssl libs.

Hope this helps.

paul@cuenet.com wrote:

> Hi,
>
> Not sure if the mailing list is working today....nothing happens when I
> subscribe.
>
> I'm running some older Slackware and want to install Openssh. I have
> previous ssh and even a previous Openssh that I successfully compiled
> a couple years ago.
>
> The current release of Openssh is giving me the error:
>
> configure: error: *** Can't find recent OpenSSL libcrypto (see
> config.log for details) ***
>
> Config.log doesn't seem to include much more info. However, when I do a
> "locate libcrypto" I get:
>
> /usr/local/src/openssl-engine-0.9.6g/libcrypto.a
> /usr/local/ssl/lib/libcrypto.a
>
> which indicates I have a pretty recent libcrypto properly installed.
> Anyone have any
> ideas why ./configure can't find it? I have /usr/local/ssl/lib included
> in /etc/ld.so.conf
> and have run ldconfig.
>
> Recently, I have had similar troubles with ./configure not being able to
> find libs that
> are onboard on another machine Ihave.
>
> Any suggestions would be appreciated.
>
> Thanks,
>
> --Paul